> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Liquidation Address

> Retrieve a Liquidation Address for the specified Liquidation Address ID



## OpenAPI

````yaml https://withbridge-image1-sv-usw2-monorail-openapi.s3.amazonaws.com/latest.json get /customers/{customerID}/liquidation_addresses/{liquidationAddressID}
openapi: 3.0.2
info:
  title: Bridge API
  description: APIs to move into, out of, and between any form of a dollar
  version: '1'
servers:
  - url: https://api.bridge.xyz/v0
    description: The base path for all resources
security:
  - ApiKey: []
tags:
  - name: Customers
  - name: Fiat Payout Configuration
  - name: External Accounts
  - name: Transfers
  - name: Prefunded Accounts
  - name: Balances
  - name: Liquidation Addresses
  - name: Developers
  - name: API Keys
  - name: Plaid
  - name: Virtual Accounts
  - name: Static Memos
  - name: Cards
  - name: Funds Requests
  - name: Webhooks
  - name: Lists
  - name: Crypto Return Policies
  - name: Rewards
  - name: Associated Persons
  - name: Sandbox
paths:
  /customers/{customerID}/liquidation_addresses/{liquidationAddressID}:
    get:
      tags:
        - Liquidation Addresses
      summary: Get a Liquidation Address
      description: Retrieve a Liquidation Address for the specified Liquidation Address ID
      parameters:
        - $ref: '#/components/parameters/CustomerIDParameter'
        - $ref: '#/components/parameters/LiquidationAddressIDParameter'
      responses:
        '200':
          description: A Liquidation Address object response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LiquidationAddress'
              examples:
                SuccessfulLiquidationAddressGetResponse:
                  $ref: >-
                    #/components/examples/SuccessfulLiquidationAddressGetResponse
                SuccessfulSepaLiquidationAddressGetResponse:
                  $ref: >-
                    #/components/examples/SuccessfulSepaLiquidationAddressGetResponse
        '400':
          $ref: '#/components/responses/BadRequestError'
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '404':
          $ref: '#/components/responses/NotFoundError'
        '500':
          $ref: '#/components/responses/UnexpectedError'
components:
  parameters:
    CustomerIDParameter:
      name: customerID
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Id'
    LiquidationAddressIDParameter:
      name: liquidationAddressID
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Id'
  schemas:
    LiquidationAddress:
      required:
        - id
        - currency
        - chain
        - external_account_id
        - address
        - destination_payment_rail
        - destination_currency
        - customer_id
        - created_at
        - updated_at
      properties:
        id:
          $ref: '#/components/schemas/Id'
          readOnly: true
        currency:
          $ref: '#/components/schemas/LiquidationAddressSourceCurrency'
        chain:
          $ref: '#/components/schemas/LiquidationAddressSourceChain'
        customer_id:
          $ref: '#/components/schemas/Id'
          description: The ID of the customer who owns this liquidation address
        external_account_id:
          $ref: '#/components/schemas/Id'
          description: >-
            External bank account to which Bridge will send the funds. The
            currency associated with the External Account must match the
            destination currency.
        prefunded_account_id:
          $ref: '#/components/schemas/Id'
          description: >-
            The developer's prefunded account to which Bridge will send the
            funds.
        custom_developer_fee_percent:
          $ref: '#/components/schemas/LiquidationAddressCustomDeveloperFeePercent'
        global_developer_fee_percent:
          $ref: '#/components/schemas/LiquidationAddressGlobalDeveloperFeePercent'
        destination_wire_message:
          $ref: '#/components/schemas/WireMessage'
          description: A message to be sent with a wire transfer.
        destination_sepa_reference:
          $ref: '#/components/schemas/SepaReference'
        destination_spei_reference:
          $ref: '#/components/schemas/SpeiReference'
        destination_ach_reference:
          $ref: '#/components/schemas/AchReference'
        destination_payment_rail:
          $ref: '#/components/schemas/SepaSwiftInclusivePaymentRail'
          description: The payment rail that Bridge will use to send funds to the customer.
        destination_currency:
          $ref: '#/components/schemas/EuroInclusiveCurrency'
          description: The currency that Bridge will use to send funds to the customer.
        address:
          description: >-
            The crypto wallet address the customer will send funds to in order
            to initiate the payment processing
          type: string
          readOnly: true
        memoless_address:
          description: >-
            An alternative crypto wallet address that encodes the memo, allowing
            the customer to send funds without needing to include a separate
            memo. Currently only available for Stellar deposits.
          type: string
          readOnly: true
        blockchain_memo:
          description: >-
            The memo that must be included with the deposit transaction when
            sending funds to the deposit address. Only present for blockchains
            that require memos (such as Stellar).
          type: string
          readOnly: true
        destination_address:
          type: string
          description: >-
            The crypto wallet address that Bridge will use to send funds to the
            customer.
        destination_blockchain_memo:
          description: >-
            The memo to include in the transaction, for blockchains that support
            memos only
          type: string
        return_address:
          type: string
          nullable: true
          deprecated: true
          description: >
            Deprecated: use `return_instructions` instead.


            The crypto wallet address that Bridge will use to return funds to
            the customer in case of a failed transaction.

            Must be on the same chain as the liquidation address.

            Cannot be used on Stellar — use `return_instructions` with a `memo`
            instead.
        return_memo:
          type: string
          nullable: true
          description: >-
            The memo included with return transactions. Present when
            `return_instructions` was set with a memo (e.g. required for Stellar
            to route funds to the correct end-customer).
        state:
          type: string
          description: >-
            The state of the liquidation address. It could be "active" or
            "deactivated"
        created_at:
          readOnly: true
          type: string
          description: Time of creation of the Liquidation Address
          format: date-time
        updated_at:
          readOnly: true
          type: string
          description: Time of last update of the Liquidation Address
          format: date-time
    Id:
      description: A UUID that uniquely identifies a resource
      type: string
      pattern: '[a-z0-9]*'
      minLength: 1
      maxLength: 42
    LiquidationAddressSourceCurrency:
      type: string
      enum:
        - usdb
        - usdc
        - usdt
        - pyusd
        - eurc
    LiquidationAddressSourceChain:
      type: string
      enum:
        - arbitrum
        - avalanche_c_chain
        - base
        - celo
        - ethereum
        - optimism
        - polygon
        - solana
        - stellar
        - tempo
        - tron
        - xdc
        - evm
    LiquidationAddressCustomDeveloperFeePercent:
      description: >-
        The developer fee percent that will be applied to this Liquidation
        Address or null to use the default fee. The value is a base 100
        percentage, i.e. 10.2% is 10.2 in the API.
      type: string
      nullable: true
      format: number
      minimum: 0
      maximum: 100
      exclusiveMaximum: true
      example: '0.1'
    LiquidationAddressGlobalDeveloperFeePercent:
      description: >-
        The developer fee percent that will be default applied to all
        Liquidation Addresses.
      type: object
      properties:
        percent:
          type: string
          nullable: true
          format: number
          minimum: 0
          maximum: 100
          exclusiveMaximum: true
          example: '0.2'
    WireMessage:
      description: >-
        A message to be sent with a wire transfer. It can have up to 140
        characters. This message will be validated against 4 lines, each with a
        max length of 35 characters according to the Fedwire standard.
      type: string
      minLength: 1
      maxLength: 256
    SepaReference:
      description: >-
        A reference message to be sent with a SEPA transaction. We recommend you
        set a unique value to help you and your customers track payments end to
        end. It must be from 6 to 140 characters. The allowed characters are
        `a-z`, `A-Z`, `0-9`, spaces, ampersand (`&`), hyphen (`-`), full stop
        (`.`), and solidus (`/`). If not populated, the default value is
        "Payment via Bridge {unique_token}".
      type: string
      minLength: 6
      maxLength: 140
    SpeiReference:
      description: >-
        A payment reference message or remittance information to be included in
        a SPEI transaction. The allowed characters are alphanumeric `a-z`,
        `A-Z`, `0-9`, and space
      type: string
      minLength: 1
      maxLength: 40
    AchReference:
      description: >-
        A reference message to be sent with an ACH transaction. It can be at
        most 10 characters, A-Z, a-z, 0-9, and spaces.
      type: string
      minLength: 1
      maxLength: 10
    SepaSwiftInclusivePaymentRail:
      type: string
      enum:
        - ach
        - wire
        - ach_push
        - ach_same_day
        - arbitrum
        - avalanche_c_chain
        - base
        - bre_b
        - co_bank_transfer
        - celo
        - ethereum
        - faster_payments
        - fiat_deposit_return
        - optimism
        - pix
        - polygon
        - sepa
        - solana
        - spei
        - stellar
        - swift
        - tempo
        - tron
        - xdc
    EuroInclusiveCurrency:
      type: string
      enum:
        - brl
        - cop
        - eur
        - eurc
        - gbp
        - mxn
        - pyusd
        - usd
        - usdb
        - usdc
        - usdt
    Error:
      required:
        - code
        - message
      properties:
        code:
          type: string
          minLength: 1
          maxLength: 256
        message:
          type: string
          minLength: 1
          maxLength: 512
        source:
          title: ErrorSource
          required:
            - location
            - key
          properties:
            location:
              type: string
              enum:
                - path
                - query
                - body
                - header
            key:
              type: string
              description: >-
                Comma separated names of the properties or parameters causing
                the error
  examples:
    SuccessfulLiquidationAddressGetResponse:
      summary: A successful get response for a Liquidation Address
      value:
        id: la_123
        chain: ethereum
        customer_id: cust_123
        external_account_id: ext_123
        address: '0x4d0280da2f2fDA5103914bCc5aad114743152A9c'
        currency: usdc
        destination_payment_rail: wire
        destination_currency: usd
        destination_wire_message: a wire message
        state: active
        created_at: '2023-11-22T21:31:30.515Z'
        updated_at: '2023-11-22T21:31:30.515Z'
    SuccessfulSepaLiquidationAddressGetResponse:
      summary: A successful get response for a SEPA Liquidation Address
      value:
        id: la_123
        chain: ethereum
        customer_id: cust_123
        external_account_id: ext_123
        address: '0x4d0280da2f2fDA5103914bCc5aad114743152A9c'
        currency: usdc
        destination_payment_rail: sepa
        destination_currency: eur
        destination_sepa_reference: a SEPA reference
        state: active
        created_at: '2023-11-22T21:31:30.515Z'
        updated_at: '2023-11-22T21:31:30.515Z'
  responses:
    BadRequestError:
      description: Request containing missing or invalid parameters.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            BadCustomerRequestErrorExample:
              summary: Bad customer request
              value:
                code: bad_customer_request
                message: fields missing from customer body.
                name: first_name,ssn
    AuthenticationError:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            MissingTokenError:
              summary: No Api-Key header
              description: The header may be missing or misspelled.
              value:
                code: required
                location: header
                name: Api-Key
                message: Missing Api-Key header
            InvalidTokenError:
              summary: Invalid key in Api-Key header
              value:
                code: invalid
                location: header
                name: Api-Key
                message: Invalid Api-Key header
    NotFoundError:
      description: No resource found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            NotFoundErrorExample:
              summary: Invalid customer id
              value:
                code: Invalid
                message: Unknown customer id
    UnexpectedError:
      description: Unexpected error. User may try and send the request again.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            UnexpectedError:
              summary: An unexpected error
              value:
                errors:
                  - code: unexpected
                    message: An expected error occurred, you may try again later
  securitySchemes:
    ApiKey:
      type: apiKey
      name: Api-Key
      in: header

````